Skip to main content
GET
Get one task

Authorizations

Authorization
string
header
required

An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.

Path Parameters

task_id
string
required

Query Parameters

fields
string[] | null

Custom field keys to return (comma-separated); all of them when omitted

Response

200 - application/json

Successful Response

id
string
required
account
string | null

The id of the account the task is on

account_name
string | null
activity
string | null

The id of the activity the task came from

assignee
string | null

The assignee's id: a person's

assignee_name
string | null
assignee_type
enum<string> | null

user (a teammate), contact, vendor or digital_worker; null when unknown

Available options:
user,
contact,
vendor,
digital_worker
created_at
string | null
creator
string | null

The id of the user who created the task

description
string | null
due_date
string | null
fields
Fields · object
parent
string | null

The id of the parent task

priority
enum<string> | null
Available options:
low,
medium,
high
project
string | null

The id of the project the task is in

project_name
string | null
start_date
string | null
status
string | null
status_group
enum<string> | null
Available options:
not_started,
active,
done,
archived
title
string | null
type
enum<string> | null
Available options:
activity_task,
risk_mitigation,
expansion,
key_next_step,
escalation,
project,
milestone
updated_at
string | null